{% extends "djangocms_blog/base.html" %}
{% load i18n easy_thumbnails_tags cms_tags menu_tags %}

{% block canonical_url %}
<link rel="canonical" href="{{ meta.url }}" />{% endblock canonical_url %}
{% block title %}{{ post.get_title }} - {{request.site.name}}{% endblock %}

{% block section_class %}{% endblock section_class %}

{% block content_blog %}
<!-- Post Content Column -->
<!-- Title -->
<h1 class="text-uppercase">{% render_model post "title" %}</h1>
{% if post.subtitle %}<h3 class="lead">{% render_model post "subtitle" %}</h3>{% endif %}

<div class="media d-block media-custom mt-5">
    {% if post.main_image_id %}
    {% thumbnail post.main_image post.full_image_options.size crop=post.full_image_options.crop upscale=post.full_image_options.upscale subject_location=post.main_image.subject_location as thumb %}
    <img class="img-fluid" src="{{ thumb.url }}" alt="{{ post.main_image.default_alt_text }}" width="{{ thumb.width }}" height="{{ thumb.height }}" />
    {% endif %}
    {% if post.app_config.use_placeholder %}
    <div class="media-body">
        {% render_placeholder post.content %}
    </div>
    {% else %}
    <div class="media-body">
        {% render_model post "post_text" "post_text" "" "safe" %}
    </div>
    {% endif %}
    {% if view.liveblog_enabled %}
    {% include "liveblog/includes/post_detail.html" %}
    {% endif %}
</div>

{% if post.author %}
{% include "djangocms_blog/includes/blog_meta.html" %}
{% endif %}
<!-- /.container -->
{% endblock content_blog %}

{% block post_blog_content %}
{% if post.related.exists %}
    <section class="section bg-light">
        <div class="container">
            <div class="row justify-content-center mb-5 element-animate">
                <div class="col-md-8 text-center">
                    <h2 class="text-uppercase heading border-bottom mb-4">{% trans "Related articles" %}</h2>
                </div>
            </div>
            <div class="row element-animate">
                <div class="major-carousel js-carousel-1 owl-carousel">
                    {% for related in post.related.all %}
                    {% include "djangocms_blog/includes/blog_item_preview.html" with post=related image="true" TRUNCWORDS_COUNT=TRUNCWORDS_COUNT %}
                    {% endfor %}
                </div>
            </div>
        </div>
    </section>
    {% endif %}
{% endblock %}
